Opened 7 years ago

Closed 6 years ago

Last modified 8 months ago

#6124 closed defect (wontfix)

Ubuntu Package Upgrade Error

Reported by: (none) Owned by: sev-
Priority: normal Component: Port: Linux
Keywords: Cc:
Game:

Description

Version: 1.4.1-1 to 1.50
Platform: Linux - Ubuntu 12.04

Minor error when installing the new version of scummvm when you already have a previous version installed. I was using 'gdebi' to install the debian package and here is it's output.

Preparing to replace scummvm 1.4.1-1 (using .../scummvm_1.5.0-precise.1_i386.deb) ...
Unpacking replacement scummvm ...
dpkg: error processing /home/me/Desktop/scummvm_1.5.0-precise.1_i386.deb (--install):
trying to overwrite '/usr/share/applications/scummvm.desktop', which is also in package scummvm-data 1.4.1-1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for man-db ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Errors were encountered while processing:
/home/me/Desktop/scummvm_1.5.0-precise.1_i386.deb

Uninstalling scumm then reattempting obviously allowed it to work but some may not understand the problem and not do that.

Ticket imported from: #3557005. Ticket imported from: bugs/6124.

Change History (5)

comment:1 Changed 7 years ago by lordhoto

I think the problem here is that the Ubuntu packager packages ScummVM in a different way, thus upgrading ScummVM from an official Ubuntu package to our Ubuntu packages won't work.

I am so far not convinced that this is really a bug.

comment:2 Changed 7 years ago by digitall

Summary: Install Error When Previous Version is InstalledUbuntu Package Upgrade Error

comment:3 Changed 6 years ago by sev-

Owner: set to sev-
Resolution: wontfix
Status: newclosed

comment:4 Changed 6 years ago by sev-

This is not a bug and is out of scope of ScummVM. You really need to submit this to Ubuntu package maintainers.

comment:5 Changed 8 months ago by digitall

Component: Port: Linux
Note: See TracTickets for help on using tickets.